Bug 1236310 - dnf --quiet repolist doesn't output anything
Summary: dnf --quiet repolist doesn't output anything
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 22
Hardware: Unspecified Unspecified
low
unspecified
Target Milestone: ---
Assignee: Nick Coghlan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-27 15:42 UTC by kealthou
Modified: 2015-08-19 07:51 UTC (History)
8 users (show)

Fixed In Version: dnf-plugins-core-0.1.10-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-15 02:14:21 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description kealthou 2015-06-27 15:42:32 UTC
Description of problem:
I don't know the right behavior of --quiet, but all I can tell is the current behavior is inconsistent.

- "dnf --quiet repolist" doesn't output anything.
- "dnf --quiet list" lists packages without cache information.

It makes sense for installing or removing with --quiet to suppress output, but I don't know how to use a list-type command not listing anything.

Version-Release number of selected component (if applicable):
python-dnf-1.0.1-2.fc22.noarch

How reproducible:
Always.

Steps to Reproduce:
1. dnf --quiet repolist

Actual results:
# Nothing output

Expected results:
It lists all enabled repositories.

Comment 1 Honza Silhan 2015-06-29 12:38:02 UTC
Thanks for the report. We'll take a look.

Comment 3 Honza Silhan 2015-07-29 12:10:47 UTC
PR: https://github.com/rpm-software-management/dnf/pull/314

Comment 4 Fedora Update System 2015-08-10 10:05:20 UTC
dnf-plugins-core-0.1.10-1.fc23,dnf-1.1.0-1.fc23,hawkey-0.6.0-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.10-1.fc23,dnf-1.1.0-1.fc23,hawkey-0.6.0-1.fc23

Comment 5 Fedora Update System 2015-08-10 10:49:46 UTC
dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-1.fc22,hawkey-0.6.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-1.fc22,hawkey-0.6.0-1.fc22

Comment 6 Fedora Update System 2015-08-11 02:10:57 UTC
Package dnf-plugins-core-0.1.10-1.fc22, dnf-1.1.0-1.fc22, hawkey-0.6.0-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.1.10-1.fc22 dnf-1.1.0-1.fc22 hawkey-0.6.0-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13162/dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-1.fc22,hawkey-0.6.0-1.fc22
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-08-15 02:14:21 UTC
dnf-plugins-core-0.1.10-1.fc22, hawkey-0.6.0-1.fc22, dnf-1.1.0-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-08-19 07:51:09 UTC
dnf-plugins-core-0.1.10-1.fc23, hawkey-0.6.0-1.fc23, dnf-1.1.0-2.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.